Update brand voice
Update an existing brand voice. You can modify the label, usage context, and all generated content fields.
curl --request PATCH \
--url https://app.mavera.io/api/v1/brand-voices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"usage_context": "<string>",
"voice_summary": "<string>",
"tone": {
"adjectives": [
"<string>"
],
"dos": [
"<string>"
],
"donts": [
"<string>"
]
},
"writing_style": {
"sentence_structure": "<string>",
"jargon_usage": "<string>"
},
"vocabulary": {
"preferred_terms": [
"<string>"
],
"avoid_terms": [
"<string>"
]
},
"example_phrases": [
{
"use_case": "<string>",
"example": "<string>"
}
]
}
'import requests
url = "https://app.mavera.io/api/v1/brand-voices/{id}"
payload = {
"label": "<string>",
"usage_context": "<string>",
"voice_summary": "<string>",
"tone": {
"adjectives": ["<string>"],
"dos": ["<string>"],
"donts": ["<string>"]
},
"writing_style": {
"sentence_structure": "<string>",
"jargon_usage": "<string>"
},
"vocabulary": {
"preferred_terms": ["<string>"],
"avoid_terms": ["<string>"]
},
"example_phrases": [
{
"use_case": "<string>",
"example": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
usage_context: '<string>',
voice_summary: '<string>',
tone: {adjectives: ['<string>'], dos: ['<string>'], donts: ['<string>']},
writing_style: {sentence_structure: '<string>', jargon_usage: '<string>'},
vocabulary: {preferred_terms: ['<string>'], avoid_terms: ['<string>']},
example_phrases: [{use_case: '<string>', example: '<string>'}]
})
};
fetch('https://app.mavera.io/api/v1/brand-voices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/brand-voices/{id}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"usage_context\": \"<string>\",\n \"voice_summary\": \"<string>\",\n \"tone\": {\n \"adjectives\": [\n \"<string>\"\n ],\n \"dos\": [\n \"<string>\"\n ],\n \"donts\": [\n \"<string>\"\n ]\n },\n \"writing_style\": {\n \"sentence_structure\": \"<string>\",\n \"jargon_usage\": \"<string>\"\n },\n \"vocabulary\": {\n \"preferred_terms\": [\n \"<string>\"\n ],\n \"avoid_terms\": [\n \"<string>\"\n ]\n },\n \"example_phrases\": [\n {\n \"use_case\": \"<string>\",\n \"example\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "brand_voice",
"label": "<string>",
"usage_context": "<string>",
"error": "<string>",
"voice_summary": "<string>",
"tone": {
"adjectives": [
"<string>"
],
"dos": [
"<string>"
],
"donts": [
"<string>"
]
},
"writing_style": {
"sentence_structure": "<string>",
"jargon_usage": "<string>"
},
"vocabulary": {
"preferred_terms": [
"<string>"
],
"avoid_terms": [
"<string>"
]
},
"example_phrases": [
{
"use_case": "<string>",
"example": "<string>"
}
],
"sources": {
"urls": [
{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"documents": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"file_type": "<string>",
"file_size": 123
}
]
},
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
Brand voice ID
Body
Response
Brand voice updated
A brand voice profile for content generation
Unique brand voice identifier
brand_voice Display name for the brand voice
Description of how this brand voice should be used
Current processing status of the brand voice
pending, generating, completed, failed Error message if status is failed
AI-generated summary of the brand voice
Tone guidelines for the brand voice
Show child attributes
Show child attributes
Writing style guidelines
Show child attributes
Show child attributes
Vocabulary preferences
Show child attributes
Show child attributes
Example phrases demonstrating the brand voice
Show child attributes
Show child attributes
Source materials used to generate the brand voice
Show child attributes
Show child attributes
curl --request PATCH \
--url https://app.mavera.io/api/v1/brand-voices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"usage_context": "<string>",
"voice_summary": "<string>",
"tone": {
"adjectives": [
"<string>"
],
"dos": [
"<string>"
],
"donts": [
"<string>"
]
},
"writing_style": {
"sentence_structure": "<string>",
"jargon_usage": "<string>"
},
"vocabulary": {
"preferred_terms": [
"<string>"
],
"avoid_terms": [
"<string>"
]
},
"example_phrases": [
{
"use_case": "<string>",
"example": "<string>"
}
]
}
'import requests
url = "https://app.mavera.io/api/v1/brand-voices/{id}"
payload = {
"label": "<string>",
"usage_context": "<string>",
"voice_summary": "<string>",
"tone": {
"adjectives": ["<string>"],
"dos": ["<string>"],
"donts": ["<string>"]
},
"writing_style": {
"sentence_structure": "<string>",
"jargon_usage": "<string>"
},
"vocabulary": {
"preferred_terms": ["<string>"],
"avoid_terms": ["<string>"]
},
"example_phrases": [
{
"use_case": "<string>",
"example": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
usage_context: '<string>',
voice_summary: '<string>',
tone: {adjectives: ['<string>'], dos: ['<string>'], donts: ['<string>']},
writing_style: {sentence_structure: '<string>', jargon_usage: '<string>'},
vocabulary: {preferred_terms: ['<string>'], avoid_terms: ['<string>']},
example_phrases: [{use_case: '<string>', example: '<string>'}]
})
};
fetch('https://app.mavera.io/api/v1/brand-voices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/brand-voices/{id}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"usage_context\": \"<string>\",\n \"voice_summary\": \"<string>\",\n \"tone\": {\n \"adjectives\": [\n \"<string>\"\n ],\n \"dos\": [\n \"<string>\"\n ],\n \"donts\": [\n \"<string>\"\n ]\n },\n \"writing_style\": {\n \"sentence_structure\": \"<string>\",\n \"jargon_usage\": \"<string>\"\n },\n \"vocabulary\": {\n \"preferred_terms\": [\n \"<string>\"\n ],\n \"avoid_terms\": [\n \"<string>\"\n ]\n },\n \"example_phrases\": [\n {\n \"use_case\": \"<string>\",\n \"example\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "brand_voice",
"label": "<string>",
"usage_context": "<string>",
"error": "<string>",
"voice_summary": "<string>",
"tone": {
"adjectives": [
"<string>"
],
"dos": [
"<string>"
],
"donts": [
"<string>"
]
},
"writing_style": {
"sentence_structure": "<string>",
"jargon_usage": "<string>"
},
"vocabulary": {
"preferred_terms": [
"<string>"
],
"avoid_terms": [
"<string>"
]
},
"example_phrases": [
{
"use_case": "<string>",
"example": "<string>"
}
],
"sources": {
"urls": [
{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"documents": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"file_type": "<string>",
"file_size": 123
}
]
},
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}